import Finch from '@tryfinch/finch-api';
const client = new Finch({
accessToken: 'My Access Token',
});
// Automatically fetches more pages as needed.
for await (const payStatementItemListResponse of client.hris.payStatementItem.list()) {
console.log(payStatementItemListResponse.attributes);
}from finch import Finch
client = Finch(
access_token="My Access Token",
)
page = client.hris.pay_statement_item.list()
page = page.responses[0]
print(page.attributes)package main
import (
"context"
"fmt"
"github.com/Finch-API/finch-api-go"
"github.com/Finch-API/finch-api-go/option"
)
func main() {
client := finchgo.NewClient(
option.WithAccessToken("My Access Token"),
)
page, err := client.HRIS.PayStatementItem.List(context.TODO(), finchgo.HRISPayStatementItemListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
package com.tryfinch.api.example;
import com.tryfinch.api.client.FinchClient;
import com.tryfinch.api.client.okhttp.FinchOkHttpClient;
import com.tryfinch.api.models.HrisPayStatementItemListPage;
import com.tryfinch.api.models.HrisPayStatementItemListParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
FinchClient client = FinchOkHttpClient.builder()
.fromEnv()
.accessToken("My Access Token")
.build();
HrisPayStatementItemListPage page = client.hris().payStatementItem().list();
}
}package com.tryfinch.api.example
import com.tryfinch.api.client.FinchClient
import com.tryfinch.api.client.okhttp.FinchOkHttpClient
import com.tryfinch.api.models.HrisPayStatementItemListPage
import com.tryfinch.api.models.HrisPayStatementItemListParams
fun main() {
val client: FinchClient = FinchOkHttpClient.builder()
.fromEnv()
.accessToken("My Access Token")
.build()
val page: HrisPayStatementItemListPage = client.hris().payStatementItem().list()
}require "finch_api"
finch = FinchAPI::Client.new(access_token: "My Access Token")
page = finch.hris.pay_statement_item.list
puts(page)curl --request GET \
--url https://api.tryfinch.com/employer/pay-statement-item \
--header 'Authorization: Bearer <token>' \
--header 'Finch-API-Version: <finch-api-version>'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tryfinch.com/employer/pay-statement-item",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Finch-API-Version: <finch-api-version>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"responses": [
{
"name": "Employer_Social_Security",
"category": "taxes",
"attributes": {
"employer": true,
"type": "social_security",
"metadata": null
}
},
{
"name": "Medical_HMO",
"category": "employee_deductions",
"attributes": {
"type": null,
"metadata": {
"_PENSION_PRO_COLUMN": "Pre-Tax Health/125"
}
}
}
]
}Pay Statement Item
Retrieve a list of detailed pay statement items for the access token’s connection account.
import Finch from '@tryfinch/finch-api';
const client = new Finch({
accessToken: 'My Access Token',
});
// Automatically fetches more pages as needed.
for await (const payStatementItemListResponse of client.hris.payStatementItem.list()) {
console.log(payStatementItemListResponse.attributes);
}from finch import Finch
client = Finch(
access_token="My Access Token",
)
page = client.hris.pay_statement_item.list()
page = page.responses[0]
print(page.attributes)package main
import (
"context"
"fmt"
"github.com/Finch-API/finch-api-go"
"github.com/Finch-API/finch-api-go/option"
)
func main() {
client := finchgo.NewClient(
option.WithAccessToken("My Access Token"),
)
page, err := client.HRIS.PayStatementItem.List(context.TODO(), finchgo.HRISPayStatementItemListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
package com.tryfinch.api.example;
import com.tryfinch.api.client.FinchClient;
import com.tryfinch.api.client.okhttp.FinchOkHttpClient;
import com.tryfinch.api.models.HrisPayStatementItemListPage;
import com.tryfinch.api.models.HrisPayStatementItemListParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
FinchClient client = FinchOkHttpClient.builder()
.fromEnv()
.accessToken("My Access Token")
.build();
HrisPayStatementItemListPage page = client.hris().payStatementItem().list();
}
}package com.tryfinch.api.example
import com.tryfinch.api.client.FinchClient
import com.tryfinch.api.client.okhttp.FinchOkHttpClient
import com.tryfinch.api.models.HrisPayStatementItemListPage
import com.tryfinch.api.models.HrisPayStatementItemListParams
fun main() {
val client: FinchClient = FinchOkHttpClient.builder()
.fromEnv()
.accessToken("My Access Token")
.build()
val page: HrisPayStatementItemListPage = client.hris().payStatementItem().list()
}require "finch_api"
finch = FinchAPI::Client.new(access_token: "My Access Token")
page = finch.hris.pay_statement_item.list
puts(page)Authorizations
Please use your Access Token
Headers
Header used to specify the version for a given API request. Current version is 2020-09-17.
([12]\d{3}-(0[1-9]|1[0-2])-(0[1-9]|[12]\d|3[01]))Query Parameters
The entity IDs to specify which entities' data to access. Provide exactly one entity ID per request; a maximum of one is accepted.
1 element["550e8400-e29b-41d4-a716-446655440000"]
Comma-delimited list of pay statement item categories to filter on. If empty, defaults to all categories.
earnings, taxes, employee_deductions, employer_contributions Case-insensitive partial match search by pay statement item name.
String search by pay statement item type.
"base_compensation"
The start date to retrieve pay statement items by via their last seen pay date (inclusive) in YYYY-MM-DD format.
"2024-01-01"
The end date to retrieve pay statement items by via their last seen pay date in YYYY-MM-DD format.
"2024-07-01"
Response
Pay statement item data
Show child attributes
Show child attributes
Was this page helpful?